> For the complete documentation index, see [llms.txt](https://docs.stylemixthemes.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.stylemixthemes.com/nuxy/getting-fields.md).

# Getting Fields

You can easily use default WordPress functions such as [get\_post\_meta()](https://developer.wordpress.org/reference/functions/get_post_meta/), [get\_option()](https://developer.wordpress.org/reference/functions/get_option/) or [get\_term\_meta()](https://developer.wordpress.org/reference/functions/get_term_meta/). But for the option we built-in function to get any param you want:

```
$options = stm_wpcfto_get_options('my_awesome_settings');
```

Where 1st parameter is option name two others are optional parameters - field name and default value.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.stylemixthemes.com/nuxy/getting-fields.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
